Get Messaging Connection
curl --request GET \
--url https://api.revring.ai/v1/messaging-connections/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.revring.ai/v1/messaging-connections/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.revring.ai/v1/messaging-connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"friendlyName": "<string>",
"channel": "sms",
"provider": "twilio",
"accountSid": "<string>",
"messagingServiceSid": "<string>",
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "unauthorized"
}{
"error": "billing_inactive"
}{
"error": "not_found"
}Messaging Connections
Get Messaging Connection
Retrieve a specific messaging connection by ID. Secrets are never returned.
GET
/
messaging-connections
/
{id}
Get Messaging Connection
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
Messaging connection ID
Response
Connection details
A connected messaging provider. Secrets (the provider Auth Token) are never included.
Show child attributes
Show child attributes
⌘I